Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::LampTranslator Class Reference

Lampトランスレータ. More...

`#include <LampTranslator.h>`

List of all members.

## Public Member Functions
virtual MStatus | write (const MFileObject &file, const MString &optionsString, MPxFileTranslator::FileAccessMode mode, bool textFlag)
| 書き出し
## Static Public Member Functions
String | getTextSceneExtension ()
| テキストシーン拡張子の取得
String | getTextAnimationExtension ()
| テキストアニメーション拡張子の取得
String | getBinarySceneExtension ()
| バイナリシーン拡張子の取得
String | getBinaryAnimationExtension ()
| バイナリアニメーション拡張子の取得
## Friends
class | LampTextTranslator
class | LampBinaryTranslator

## Detailed Description

Lampトランスレータ.

Definition at line 42 of file LampTranslator.h.

## Member Function Documentation

String LampForMaya::LampTranslator::getBinaryAnimationExtension | ( |  | ) | `[inline, static]`

| バイナリアニメーション拡張子の取得 Returns: バイナリアニメーション拡張子 Definition at line 81 of file LampTranslator.h. Referenced by write().

String LampForMaya::LampTranslator::getBinarySceneExtension | ( |  | ) | `[inline, static]`

| バイナリシーン拡張子の取得 Returns: バイナリシーン拡張子 Definition at line 75 of file LampTranslator.h. Referenced by write().

String LampForMaya::LampTranslator::getTextAnimationExtension | ( |  | ) | `[inline, static]`

| テキストアニメーション拡張子の取得 Returns: テキストアニメーション拡張子 Definition at line 69 of file LampTranslator.h. Referenced by write().

String LampForMaya::LampTranslator::getTextSceneExtension | ( |  | ) | `[inline, static]`

| テキストシーン拡張子の取得 Returns: テキストシーン拡張子 Definition at line 63 of file LampTranslator.h. Referenced by write().

MStatus LampForMaya::LampTranslator::write | ( | const MFileObject & | file,
|  | const MString & | optionsString,
|  | MPxFileTranslator::FileAccessMode | mode,
|  | bool | textFlag
| ) | `[virtual]`

  | 書き出し Parameters:
  file | ファイル名
  optionsString | オプション
  mode | ファイルアクセスモード
  textFlag | テキストフラグ
Returns: 成功すれば MStatus::kSuccess Definition at line 60 of file LampTranslator.cpp. References LampForMaya::TranslationScene::clear(), LampForMaya::TranslationScene::collectAnimation(), LampForMaya::TranslationScene::collection(), LampForMaya::TranslationScene::convertAnimation(), LampForMaya::TranslationScene::convertToLamp(), getBinaryAnimationExtension(), getBinarySceneExtension(), getTextAnimationExtension(), getTextSceneExtension(), MayaErrorOut, and MayaMessageOut. Referenced by LampForMaya::LampTextTranslator::writer(), and LampForMaya::LampBinaryTranslator::writer().

The documentation for this class was generated from the following files:

- LampTranslator.h
- LampTranslator.cpp